.product__item--options, .product__item--add {
    display: none;
}

.product__item--options label {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 50%;
    cursor: pointer;
    height: 20px;
    left: 10px;
    position: absolute;
    top: 10px;
    width: 20px;
}

.product__item--options label:after {
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    content: "";
    height: 4px;
    left: 3px;
    opacity: 0;
    position: absolute;
    top: 5px;
    transform: rotate(-45deg);
    width: 10px;
}

.product__item--options input[type="checkbox"] {
    visibility: hidden;
}

.product__item--options input[type="checkbox"]:checked + label {
    background-color: #61D4DF;
    border-color: #61D4DF;
}
  
.product__item--options input[type="checkbox"]:checked + label:after {
    opacity: 1;
}

.options__item--checkbox:checked {
    background-color: gray;
}

.product__item--options {
    position: absolute;
    top: 10px;
    left: 8px;
}

.product__item--add {
    position: absolute;
    top: 10px;
    right: 15px;
}

.product__item--add-visible {
    display: block;
}

.options__item--cog {
    color: white;
}

.catalog__item--product:hover .product__item--options, .catalog__item--product:hover .product__item--add{
    display: block;
}

.catalog__item--product {
    position: relative;
}

.product__item--clicked {
    display: block;
}